Dry run package policy upgrade

Base URL
https://{kibana_url}
  • POST /api/fleet/package_policies/upgrade/dryrun
  • POST /s/{space_id}/api/fleet/package_policies/upgrade/dryrun
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

packagePolicyIds string[] required
packageVersion string

Responses

OK

application/json
<array> object[]
agent_diff object[][]
diff object[]
id string required
inputs union oneOf required
One of: object[] or object
revision number required
description string
enabled boolean
name string required
namespace string
output_id string
overrides object
package object
name string required
requires_root boolean
title string
version string required
policy_id string nullable deprecated
policy_ids string[]
errors object[]
key string
message string
missingVars string[]
hasErrors boolean required

Generic Error

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}